---
lang: ja
...

<style>
span.pluginlist {
  display: inline-flex;
  margin: auto 0.25em;
  padding: 0.25em;
}

.colorThemeThumbnail {
  display: inline-block;
  width: 131.25px;
  margin: 0 0 0.5rem 0;
  padding: 0;
}

.colorThemeThumbnail>figcaption {
  text-align: center;
}
</style>

# Uhhyou Plugins
[VST®](#vst_logo) 3 プラグインを公開しています。

何かあれば [GitHub リポジトリの discussion に投稿](https://github.com/ryukau/VSTPlugins/discussions)するか、 `ryukau@gmail.com` にメールを送信してもらえれば対応します。バグ報告は [GitHub リポジトリの issue ](https://github.com/ryukau/VSTPlugins)にどうぞ。お気軽にお問い合わせください。

[paypal.me/ryukau](https://www.paypal.com/paypalme/ryukau) から開発資金を投げ銭することもできます。

This page is publishing [VST®](#vst_logo) 3 plugins.

To make a contact, feel free to [post on the discussion page on GitHub repository](https://github.com/ryukau/VSTPlugins/discussions). If you find a bug, [open a issue at GitHub repository](https://github.com/ryukau/VSTPlugins/issues) or send email to `ryukau@gmail.com`. Note that I'm not native in English.

You can fund the development via [paypal.me/ryukau](https://www.paypal.com/paypalme/ryukau).

## GUI の色について | Color Configuration
<div style="">
<figure class="colorThemeThumbnail">
<img src="img/thumbnail_ArcDark.png"/ class="staySameInDark">
<figcaption>ArcDark</figcaption>
</figure>
<figure class="colorThemeThumbnail">
<img src="img/thumbnail_BB.png"/ class="staySameInDark">
<figcaption>BB</figcaption>
</figure>
<figure class="colorThemeThumbnail">
<img src="img/thumbnail_BlackOnWhite.png"/ class="staySameInDark">
<figcaption>BlackOnWhite</figcaption>
</figure>
<figure class="colorThemeThumbnail">
<img src="img/thumbnail_BlackOnWhiteInvert.png"/ class="staySameInDark">
<figcaption>BlackOnWhiteInvert</figcaption>
</figure>
<figure class="colorThemeThumbnail">
<img src="img/thumbnail_Leaf.png"/ class="staySameInDark">
<figcaption>Leaf</figcaption>
</figure>
<figure class="colorThemeThumbnail">
<img src="img/thumbnail_LightOnDark.png"/ class="staySameInDark">
<figcaption>LightOnDark</figcaption>
</figure>
<figure class="colorThemeThumbnail">
<img src="img/thumbnail_OrangeOnBlack.png"/ class="staySameInDark">
<figcaption>OrangeOnBlack</figcaption>
</figure>
<figure class="colorThemeThumbnail">
<img src="img/thumbnail_Orbit.png"/ class="staySameInDark">
<figcaption>Orbit</figcaption>
</figure>
<figure class="colorThemeThumbnail">
<img src="img/thumbnail_SoftBlue.png"/ class="staySameInDark">
<figcaption>SoftBlue</figcaption>
</figure>
<figure class="colorThemeThumbnail">
<img src="img/thumbnail_Warmth.png"/ class="staySameInDark">
<figcaption>Warmth</figcaption>
</figure>
</div>

GUI の色は変更できます。マニュアルの「GUI の見た目の設定」を参照してください。上はプリセットのテーマの一覧です。

GUI colors can be configured. Refer to "GUI Style Configuration" section in the manual. Above is the list of preset themes.

## プラグイン一覧 | Plugin List
以下のリリースページからプラグインをまとめてダウンロードできます。プラグイン全部入りを `UhhyouPlugins*.zip` として配布しています。

- [Releases · ryukau/VSTPlugins · GitHub](https://github.com/ryukau/VSTPlugins/releases)

All the plugin download link can be found at release page on following link. `UhhyouPlugins*.zip` is the all-in-one package which contains everything.

- [Releases · ryukau/VSTPlugins · GitHub](https://github.com/ryukau/VSTPlugins/releases)

#### Synthesizers
<p style="word-spacing: normal;">
<span class="pluginlist"><a href="#clangsynth">
<ruby>ClangSynthh<rt>クラング シンセ</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#collidingcombsynth">
<ruby>CollidingCombSynth<rt>コライディング コム シンセ</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#cubicpadsynth">
<ruby>CubicPadSynth<rt>キュービック パッドシンセ</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#doubleloopcymbal">
<ruby>DoubleLoopCymbal<rt>ダブル ループ シンバル</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#envelopedsine">
<ruby>EnvelopedSine<rt>エンベロープド サイン</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#fdncymbal">
<ruby>FDNCymbal<rt>エフディーエヌ シンバル</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#genericdrum">
<ruby>GenericDrum<rt>ジェネリック ドラム</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#genericdrum">
<ruby>GlitchSprinkler<rt>グリッチ スプリンクラー</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#iterativesincluster">
<ruby>IterativeSinCluster<rt>イテレイティブ サイン クラスタ</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#membranesynth">
<ruby>MaybeSnare<rt>メイビー スネア</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#membranesynth">
<ruby>MembraneSynth<rt>メンブレイン シンセ</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#lightpadsynth">
<ruby>LightPadSynth<rt>ライト パッド シンセ</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#syncsawsynth">
<ruby>SyncSawSynth<rt>シンク ソウ シンセ</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#trapezoidsynth">
<ruby>TrapezoidSynth<rt>トラピゾイド シンセ</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#ultrasynth">
<ruby>UltraSynth<rt>ウルトラ シンセ</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#wavecymbal">
<ruby>WaveCymbal<rt>ウェイブ シンバル</rt></ruby>
</a></span>
</p>

#### Effects
<p>
<span class="pluginlist"><a href="#accumulativeringmod">
<ruby>AccumulativeRingMod<rt>アキュミュレーティブ リング モッド</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#basiclimiter">
<ruby>BasicLimiter<rt>ベーシック リミッタ</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#combdistortion">
<ruby>CombDistortion<rt>コム ディストーション</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#esphaser">
<ruby>EsPhaser<rt>エス フェイザ</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#fdn64reverb">
<ruby>FDN64Reverb<rt>エフディーエヌ 64 リバーブ</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#feedbackphaser">
<ruby>FeedbackPhaser<rt>フィードバック フェイザ</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#l4reverb">
<ruby>L4Reverb<rt>エル フォー リバーブ</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#latticereverb">
<ruby>LatticeReverb<rt>ラティス リバーブ</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#longphaser">
<ruby>LongPhaser<rt>ロング フェイザ</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#minicliffeq">
<ruby>MiniCliffEQ<rt>ミニ クリフ イーキュー</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#narrowingdelay">
<ruby>NarrowingDelay<rt>ナロウイング ディレイ</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#ordinaryphaser">
<ruby>OrdinaryPhaser<rt>オーディナリ フェイザ</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#parallelcomb">
<ruby>ParallelComb<rt>パラレル コム</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#paralleldetune">
<ruby>ParallelDetune<rt>パラレル デチューン</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#pitchshiftdelay">
<ruby>PitchShiftDelay<rt>ピッチ シフト ディレイ</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#ringmodspacer">
<ruby>RingModSpacer<rt>リング モッド スペーサ</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#sevendelay">
<ruby>SevenDelay<rt>セブン ディレイ</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#spectralphaser">
<ruby>SpectralPhaser<rt>スペクトラル フェイザ</rt></ruby>
</a></span>
<span class="pluginlist"><a href="#ultrasonicringmod">
<ruby>UltrasonicRingMod<rt>ウルトラソニック リング モッド</rt></ruby>
</a></span>
</p>

### SpectralPhaser
<figure>
<img src="manual/SpectralPhaser/img/SpectralPhaser.png" alt="Image of SpectralPhaser graphical user interface."/>
</figure>

SpectralPhaser は周波数領域でマスクをかけることでフェイザのような音が出るエフェクタです。 FFT に加えて、高速 Walsh-Hadamard 変換 (FWHT) 、 Haar 変換が使えます。

- [SpectralPhaser のマニュアル (日本語)](manual/SpectralPhaser/SpectralPhaser_ja.html)

SpectralPhaser is an effect that produces a phaser-like sound by applying a mask in the frequency domain. In addition to FFT, fast Walsh-Hadamard transform (FWHT) and Haar transform are available.

- [SpectralPhaser Manual (English)](manual/SpectralPhaser/SpectralPhaser_en.html)

### DoubleLoopCymbal
<figure>
<img src="manual/DoubleLoopCymbal/img/DoubleLoopCymbal.png" alt="Image of DoubleLoopCymbal graphical user interface."/>
</figure>

DoubleLoopCymbal はハイハットとトライアングルの間のような音が出るシンセサイザです。オールパスループというディレイのつなぎ方を使って金属的な質感を出しています。

- [DoubleLoopCymbal のマニュアル (日本語)](manual/DoubleLoopCymbal/DoubleLoopCymbal_ja.html)

DoubleLoopCymbal is a synthesizer that produces a sound somewhere between hi-hat and triangle. Metallic texture comes from 2 all-pass loops.

- [DoubleLoopCymbal Manual (English)](manual/DoubleLoopCymbal/DoubleLoopCymbal_en.html)

### GlitchSprinkler
<figure>
<img src="manual/GlitchSprinkler/img/GlitchSprinkler.png" alt="Image of GlitchSprinkler graphical user interface."/>
</figure>

GlitchSprinkler は速いアルペジオに特化したシンセサイザです。オシレータの周期を整数のサンプル数のみとすることで安価にアンチエイリアシングを行っています。このアンチエイリアシングの副作用により、特に音程が高いときにピッチがずれて独特の音律が現れます。

- [GlitchSprinkler のマニュアル (日本語)](manual/GlitchSprinkler/GlitchSprinkler_ja.html)

GlitchSprinkler is a synthesizer specialized to play fast arpeggios. It is using a cheap anti-aliasing trick that is to restrict the oscillator period only to integer sample counts. This anti-aliasing has a side effect to make the pitches out of tune, especially at higher notes, which makes a unique texture.

- [GlitchSprinkler Manual (English)](manual/GlitchSprinkler/GlitchSprinkler_en.html)

### GenericDrum
<figure>
<img src="manual/GenericDrum/img/GenericDrum.png" alt="Image of GenericDrum graphical user interface."/>
</figure>

GenericDrum はディレイを使った汎用ドラムシンセサイザです。バスドラムやスネアドラムについては良い音が出ます。シンバルの音も出せますが、低いドラムの音ほど良くはありません。

- [GenericDrum のマニュアル (日本語)](manual/GenericDrum/GenericDrum_ja.html)

GenericDrum is a generic drum synthesizer using delays. This one can make convincing snare and bass drum sounds. Cymbal sounds can be made, but it's not as good as lower pitched drum sounds.

- [GenericDrum Manual (English)](manual/GenericDrum/GenericDrum_en.html)

### FeedbackPhaser
<figure>
<img src="manual/FeedbackPhaser/img/FeedbackPhaser.png" alt="Image of FeedbackPhaser graphical user interface."/>
</figure>

FeedbackPhaser は LFO ではなくフィードバックによってオールパスフィルタのカットオフ周波数を変調するフェイザです。主に歪み系の音が出ます。

- [FeedbackPhaser のマニュアル (日本語)](manual/FeedbackPhaser/FeedbackPhaser_ja.html)

FeedbackPhaser is a phaser but the modulation source is feedback signal rather than an LFO. It sounds more like a distortion rather than a phaser most of times.

- [FeedbackPhaser Manual (English)](manual/FeedbackPhaser/FeedbackPhaser_en.html)

### AccumulativeRingMod
<figure>
<img src="manual/AccumulativeRingMod/img/AccumulativeRingMod.png" alt="Image of AccumulativeRingMod graphical user interface."/>
</figure>

AccumulativeRingMod は入力信号の振幅を積算した値を位相として使うリングモジュレータです。サイン波のようなシンプルな波形にかけると FM のような音がでます。

- [AccumulativeRingMod のマニュアル (日本語)](manual/AccumulativeRingMod/AccumulativeRingMod_ja.html)

AccumulativeRingMod is a ring modulator that uses accumulated amplitude of input signal as the phase. When applied to simple waveforms like a sine wave, it sounds similar to FM.

- [AccumulativeRingMod Manual (English)](manual/AccumulativeRingMod/AccumulativeRingMod_en.html)

### RingModSpacer
<figure>
<img src="manual/RingModSpacer/img/RingModSpacer.png" alt="Image of RingModSpacer graphical user interface."/>
</figure>

RingModSpacer は激しい歪みを生じるサイドチェインリミッタです。全波整流したサイドチェイン入力によってメインの入力を振幅変調することで、サイドチェインを足し合わせてもクリッピングしないような隙間をメインの入力にこじ開けることができます。当然、隙間をこじ開けられたメインの入力は歪むので使いどころが難しいです。

- [RingModSpacer のマニュアル (日本語)](manual/RingModSpacer/RingModSpacer_ja.html)

RingModSpacer is a sidechain limiter that adds severe distortion. First, full-wave rectification is applied to sidechain input. Then rectified signal modulates amplitude of main input. The sum of modulated main signal and raw sidechain signal won't clip, when both peak amplitudes are under 0 dB. That's the theory. The hard part is to figure out when to use this effect.

- [RingModSpacer Manual (English)](manual/RingModSpacer/RingModSpacer_en.html)

### ParallelDetune
<figure>
<img src="manual/ParallelDetune/img/ParallelDetune.png" alt="Image of ParallelDetune graphical user interface."/>
</figure>

ParallelDetune は 8 つのピッチシフタを並列につないだエフェクタです。モノラルの音に薄くかけてコーラスのようにパンを左右に広げることもできます。

- [ParallelDetune のマニュアル (日本語)](manual/ParallelDetune/ParallelDetune_ja.html)

ParallelDetune is a detuning effect with 8 pitch shifters connected in parallel. It can be used to spread stereo image similar to chorus effect.

- [ParallelDetune Manual (English)](manual/ParallelDetune/ParallelDetune_en.html)

### OrdinaryPhaser
<figure>
<img src="manual/OrdinaryPhaser/img/OrdinaryPhaser.png" alt="Image of OrdinaryPhaser graphical user interface."/>
</figure>

OrdinaryPhaser はフィードバック経路にディレイが搭載されている点を除けば、普通のフェイザです。ノートイベントによってオールパスフィルタのカットオフ周波数とディレイ時間を制御できます。

- [OrdinaryPhaser のマニュアル (日本語)](manual/OrdinaryPhaser/OrdinaryPhaser_ja.html)

OrdinaryPhaser is an ordinary phaser with a delay on feedback path. Note events can be used to control all-pass cutoff frequencies and delay time.

- [OrdinaryPhaser Manual (English)](manual/OrdinaryPhaser/OrdinaryPhaser_en.html)

### NarrowingDelay
<figure>
<img src="manual/NarrowingDelay/img/NarrowingDelay.png" alt="Image of NarrowingDelay graphical user interface."/>
</figure>

NarrowingDelay は直列につないだピッチシフタと周波数シフタがフィードバック経路に設けられたディレイです。フィードバックのたびに音のスペクトラムを周波数軸の方向に広げる、あるいは狭めることができます。どちらかと言えばピッチが一定しない音との相性がいいです。ノートイベントで周波数シフタのシフト量を制御することもできます。

- [NarrowingDelay のマニュアル (日本語)](manual/NarrowingDelay/NarrowingDelay_ja.html)

NarrowingDelay is a delay with serially connected pitch shifter and frequency shifter on feedback path. The spectrum of input signal can be narrowed or expanded for each feedback. It is more suitable for sound without stable pitch. Note event can be used to control frequency shift amount.

- [NarrowingDelay Manual (English)](manual/NarrowingDelay/NarrowingDelay_en.html)

### LongPhaser
<figure>
<img src="manual/LongPhaser/img/LongPhaser.png" alt="Image of LongPhaser graphical user interface."/>
</figure>

LongPhaser は遅延時間を長くできる Schroeder オールパスフィルタを使ったフェイザです。ディレイとフェイザを足して 2 で割ったような音が出ます。 2 で割った物足りなさを補うために LFO やノートイベントで変調をかけることができます。

- [LongPhaser のマニュアル (日本語)](manual/LongPhaser/LongPhaser_ja.html)

LongPhaser is a phaser using Schroeder all-pass filters which is able to set some long delay time. The sound is like somewhere between delay and phaser. It feels a bit underwhelming, however modulation with LFO and note events may be used to compensate the lack of character.

- [LongPhaser Manual (English)](manual/LongPhaser/LongPhaser_en.html)

### CombDistortion
<figure>
<img src="manual/CombDistortion/img/CombDistortion.png" alt="Image of CombDistortion graphical user interface."/>
</figure>

CombDistortion は自己変調するコムフィルタを使ったディストーションです。そのままの出力はざらざらと耳障りなので、キャビネットのインパルス応答と併せて使うことを想定しています。ノートイベントでコムフィルタのディレイ時間を制御できます。

- [CombDistortion のマニュアル (日本語)](manual/CombDistortion/CombDistortion_ja.html)

CombDistortion is a distortion using self-modulating comb filter. Raw output sounds harsh, and it is better to use with external cabinet impulse response. Note event can be used to control delay time of comb filter.

- [CombDistortion Manual (English)](manual/CombDistortion/CombDistortion_en.html)

### MaybeSnare
<figure>
<img src="manual/MaybeSnare/img/MaybeSnare.png" alt="Image of MaybeSnare graphical user interface."/>
</figure>

MaybeSnare はスネアドラムのような音が出るシンセサイザです。中身は 2 つの MembraneSynth が相互にフィードバックをかけるような構造になっています。スナッピーはついていませんが、変調のかけすぎによるノイズによって似たような音が出ます。

- [MaybeSnare のマニュアル (日本語)](manual/MaybeSnare/MaybeSnare_ja.html)

MaybeSnare is a synthesizer that resembles sound of snare drum. This is basically 2 MembraneSynth coupled by cross feedback. Snare wire is not included. However, the noise of modulation adds rattling texture similar to snare wire.

- [MaybeSnare Manual (English)](manual/MaybeSnare/MaybeSnare_en.html)

### MembraneSynth
<figure>
<img src="manual/MembraneSynth/img/MembraneSynth.png" alt="Image of MembraneSynth graphical user interface."/>
</figure>

MembraneSynth は自己変調するフィードバック・ディレイ・ネットワーク (FDN) を用いた膜を張った打楽器のような音がでるシンセサイザです。バスドラムやタムタムのような低めの打楽器の音が得意ですが、自己変調による発振によって変な音を作ることもできます。

- [MembraneSynth のマニュアル (日本語)](manual/MembraneSynth/MembraneSynth_ja.html)

MembraneSynth is a synthesizer that resembles sound of percussions with membrane, like bass drum or tom tom. The texture comes from self-modulating feedback delay network (FDN). Some strange noise can also be made by utilizing oscillation caused by self-modulation.

- [MembraneSynth Manual (English)](manual/MembraneSynth/MembraneSynth_en.html)

### UltraSynth
<figure>
<img src="manual/UltraSynth/img/UltraSynth.png" alt="Image of UltraSynth graphical user interface."/>
</figure>

UltraSynth は UltrasonicRingMod と同じく 64 倍のオーバーサンプリングを行っていることを除けば、これといった特長のないモノフォニックのシンセサイザです。オーバーサンプリングの倍率が高いので変調をかけた音が得意ですが、 CPU 負荷は高めです。

- [UltraSynth のマニュアル (日本語)](manual/UltraSynth/UltraSynth_ja.html)

UltraSynth is an ordinary synthesizer except 64-fold oversampling that is the same one used in UltrasonicRingMod. Because of the high oversampling ratio, modulation sound is okay. However CPU load is high.

- [UltraSynth Manual (English)](manual/UltraSynth/UltraSynth_en.html)

### UltrasonicRingMod
<figure>
<img src="manual/UltrasonicRingMod/img/UltrasonicRingMod.png" alt="Image of UltrasonicRingMod graphical user interface."/>
</figure>

UltrasonicRingMod は 64 倍のオーバーサンプリングを行うリングモジュレータで、最高 1 MHz のサイン波による変調をかけることができます。とは言っても単に変調すると可聴域外なので何も聞こえなくなってしまいますが、フィードバックによる位相変調やハードクリッピングができるので、いくらかノイズが出せます。

- [UltrasonicRingMod のマニュアル (日本語)](manual/UltrasonicRingMod/UltrasonicRingMod_ja.html)

UltrasonicRingMod is a ring modulator with 64-fold oversampling. Maximum modulator frequency is 1 MHz. That said, just modulating with ultrasonic frequency doesn't produce anything audible. Therefore, phase modulation and hard clipping are added to make some noise in audible frequency.

- [UltrasonicRingMod Manual (English)](manual/UltrasonicRingMod/UltrasonicRingMod_en.html)

### ClangSynth
<figure>
<img src="manual/ClangSynth/img/ClangSynth.png" alt="Image of ClangSynth graphical user interface."/>
</figure>

ClangSynth は金属的なパーカッションの音が得意なシンセサイザです。金属的な質感はフィードバック・ディレイ・ネットワーク (FDN) を用いたディレイ間のクロスフィードバックによるものです。 WaveCymbal や FDNCymbal よりはシンバルに似た音が出ます。 FDN をより大きくしてシンバルの合成に特化した ClangCymbal もあります。

- [ClangSynth のマニュアル (日本語)](manual/ClangSynth/ClangSynth_ja.html)

ClangSynth is a synthesizer suitable for percussion sounds. Each voice equips an 8 * 8 feedback delay network (FDN) as a resonator. Oscillator is static wavetable with controls specialized to make pulse train. For better cymbal sound, ClangCymbal is also available.

- [ClangSynth Manual (English)](manual/ClangSynth/ClangSynth_en.html)

### MiniCliffEQ
<figure>
<img src="manual/MiniCliffEQ/img/MiniCliffEQ.png" alt="Image of MiniCliffEQ graphical user interface."/>
</figure>

MiniCliffEQ はタップ数 2^15 = 32768 の FIR フィルタです。初期バージョンからは改善しましたが、それでもタップ数が多いのでレイテンシがサンプリング周波数 48000 Hz のときに 0.34 秒を超えます。主な用途は直流信号 (DC) の抑制ですが、とても急峻なローパス、ハイパス、ローシェルフ、ハイシェルフフィルタとしても使えます。

- [MiniCliffEQ のマニュアル (日本語)](manual/MiniCliffEQ/MiniCliffEQ_ja.html)

MiniCliffEQ is a linear phase FIR filter with 2^15 = 32768 taps. Latency is improved from initial version, however it still exceeds 0.34 seconds in 48000 Hz sampling rate. The primary purpose is to suppress direct current. It can also be used as very sharp low-pass, high-pass, low-shelf, and high-shelf filter.

- [MiniCliffEQ Manual (English)](manual/MiniCliffEQ/MiniCliffEQ_en.html)

### PitchShiftDelay
<figure>
<img src="manual/PitchShiftDelay/img/PitchShiftDelay.png" alt="Image of PitchShiftDelay graphical user interface."/>
</figure>

PitchShiftDelay はディレイを使った時間領域ピッチシフタです。 16 倍のオーバーサンプリングによってピッチシフタ特有の癖を多少抑えています。また内部のバッファ長をリアルタイムで変更できます。フォルマント補正がないので、声に使うとヘリウムを吸ったときのような音になります。

- [PitchShiftDelay のマニュアル (日本語)](manual/PitchShiftDelay/PitchShiftDelay_ja.html)

PitchShiftDelay is a time domain pitch shifter based on usual delay. The quirk of pitch shifter is somewhat reduced by 16x oversampling. Also the internal buffer length can be changed in real time. PitchShiftDelay doesn't equipped with formant correction. So applying to voice may sounds strange, like Helium is inhaled.

- [PitchShiftDelay Manual (English)](manual/PitchShiftDelay/PitchShiftDelay_en.html)

### ParallelComb
<figure>
<img src="manual/ParallelComb/img/ParallelComb.png" alt="Image of ParallelComb graphical user interface."/>
</figure>

ParallelComb は 1 つバッファの異なる 4 つの時点をフィードバックするコムフィルタです。フィードバック経路にリミッタが挟んであるので、それなりにクリーンな音が出ます。フィードバックの振幅でディレイ時間を変調することで、変な歪みを出すこともできます。

- [ParallelComb のマニュアル (日本語)](manual/ParallelComb/ParallelComb_ja.html)

ParallelComb is a comb filter which has 4 different delay time and 1 shared buffer. A limiter is inserted on feedback path to make the output somewhat clean. Weird distorsion can be added by modulating delay time using feedback signal amplitude.

- [ParallelComb Manual (English)](manual/ParallelComb/ParallelComb_en.html)

### FDN64Reverb
<figure>
<img src="manual/FDN64Reverb/img/FDN64Reverb.png" alt="Image of FDN64Reverb graphical user interface."/>
</figure>

FDN64Reverb はフィードバック・ディレイ・ネットワーク (FDN) を 1 つだけ搭載したリバーブです。しかしながら、フィードバック行列の大きさは 64 です。

- [FDN64Reverb のマニュアル (日本語)](manual/FDN64Reverb/FDN64Reverb_ja.html)

FDN64Reverb is a reverb equipped with a feedback delay network (FDN). However, the size of feedback matrix is 64.

- [FDN64Reverb Manual (English)](manual/FDN64Reverb/FDN64Reverb_en.html)

### BasicLimiter
<figure>
<img src="manual/BasicLimiter/img/BasicLimiter.png" alt="Image of BasicLimiter graphical user interface."/>
</figure>

BasicLimiter は名前の通りベーシックなシングルバンドリミッタです。目新しい音は出ませんが、トゥルーピークモードはやや贅沢に設計しています。

- [BasicLimiter のマニュアル (日本語)](manual/BasicLimiter/BasicLimiter_ja.html)

BasicLimiter is a basic single band limiter. The sound is nothing new, but the design of true peak mode is a bit luxurious.

- [BasicLimiter Manual (English)](manual/BasicLimiter/BasicLimiter_en.html)

### CollidingCombSynth
<figure>
<img src="manual/CollidingCombSynth/img/CollidingCombSynth.png" alt="Image of CollidingCombSynth graphical user interface."/>
</figure>

CollidingCombSynth は Karplus-Strong アルゴリズムによる弦の物理モデルをぶつけることで、弦を擦ったときのような音が出る実験的なシンセサイザです。音程はでますがチューニングが難しいので、どちらかと言うと効果音に向いています。

- [CollidingCombSynth のマニュアル (日本語)](manual/CollidingCombSynth/CollidingCombSynth_ja.html)

CollidingCombSynth is an experimental synthesizer which sounds like bowed string. Equipped with 24 Karplus-Strong string models which collide to each other. Tuning of pitch is possible, but difficult. So mostly suitable for sound effects.

- [CollidingCombSynth Manual (English)](manual/CollidingCombSynth/CollidingCombSynth_en.html)

### L4Reverb
<figure>
<img src="manual/L4Reverb/img/L4Reverb.png" alt="Image of L4Reverb graphical user interface."/>
</figure>

L4Reverb は LatticeReverb の拡張版です。今回の格子構造はチャンネル毎に 4 * 4 * 4 * 4 = 256 のセクションが設けてあります。

- [L4Reverb のマニュアル (日本語)](manual/L4Reverb/L4Reverb_ja.html)

L4Reverb is an extended version of LatticeReverb. This time, lattice structure has 4 * 4 * 4 * 4 = 256 sections per channel.

- [L4Reverb Manual (English)](manual/L4Reverb/L4Reverb_en.html)

### LatticeReverb
<figure>
<img src="manual/LatticeReverb/img/LatticeReverb.png" alt="Image of LatticeReverb graphical user interface."/>
</figure>

LatticeReverb はディレイを使った高次のオールパスフィルタを格子状につないで入れ子にしたリバーブです。 1 チャンネルあたり 16 のオールパスフィルタを備えています。

- [LatticeReverb のマニュアル (日本語)](manual/LatticeReverb/LatticeReverb_ja.html)

LatticeReverb is a reverb using lattice structure. Equipped with 16 delays per channel.

- [LatticeReverb Manual (English)](manual/LatticeReverb/LatticeReverb_en.html)

### LightPadSynth
<figure>
<img src="manual/LightPadSynth/img/LightPadSynth.png" alt="Image of LightPadSynth graphical user interface."/>
</figure>

LightPadSynth はピッチ変調を無くして補間を線形補完に変えた CubicPadSynth の軽量版です。ピッチ変調ができなくなった代わりに、各ボイスにディレイを追加しています。

- [LightPadSynth のマニュアル (日本語)](manual/LightPadSynth/LightPadSynth_ja.html)

LightPadSynth is a lightweight version of CubicPadSynth. For efficiency, interpolation is changed to linear. Also pitch modulation is omitted. Instead, a delay is added for each voice.

- [LightPadSynth Manual (English)](manual/LightPadSynth/LightPadSynth_en.html)

### CubicPadSynth
<figure>
<img src="manual/CubicPadSynth/img/CubicPadSynth.png" alt="Image of CubicPadSynth graphical user interface."/>
</figure>

CubicPadSynth は PADsynth アルゴリズムを使ってオシレータのウェーブテーブルを生成するシンセサイザです。キュービック補間を使っているので、可聴域以下の低い周波数でもわりと滑らかな音が出ます。波形を直接描画できる LFO もついています。

- [CubicPadSynth のマニュアル (日本語)](manual/CubicPadSynth/CubicPadSynth_ja.html)

CubicPadSynth is a wavetable synthesizer which uses PADsynth algorithm to generate oscillator tables. Cubic interpolation is used to get smooth sound even at inaudible low frequency range. LFO waveform can be directly drawn.

- [CubicPadSynth Manual (English)](manual/CubicPadSynth/CubicPadSynth_en.html)

### EsPhaser
<figure>
<img src="manual/EsPhaser/img/EsPhaser.png" alt="Image of EsPhaser graphical user interface."/>
</figure>

EsPhaser は最大 4096 の 2 次 Thiran オールパスフィルタを直列につなぐことができるフェイザです。 EnvelopedSine のフェイザと同じアルゴリズムを使っています。

- [EsPhaser のマニュアル (日本語)](manual/EsPhaser/EsPhaser_ja.html)

EsPhaser is a phaser with up to 4096 stages of order 2 Thiran all-pass filters. This is the same phaser used in EnvelopedSine.

- [EsPhaser Manual (English)](manual/EsPhaser/EsPhaser_en.html)

### EnvelopedSine
<figure>
<img src="manual/EnvelopedSine/img/EnvelopedSine.png" alt="Image of EnvelopedSine graphical user interface."/>
</figure>

EnvelopedSineはノート 1 つあたり 64 のサイン波を計算する加算合成シンセサイザです。各サイン波に AD エンベロープとサチュレータがついているので IterativeSinCluster よりもパーカッシブな音が得意です。

- [EnvelopedSine のマニュアル (日本語)](manual/EnvelopedSine/EnvelopedSine_ja.html)

EnvelopedSine is an additive synthesizer that computes 64 sine waves for each note. Difference to IterativeSinCluster is that this synth has AD envelope and saturator for each oscillator. EnvelopedSine is better suited for percussive sounds.

- [EnvelopedSine Manual (English)](manual/EnvelopedSine/EnvelopedSine_en.html)

### IterativeSinCluster
<figure>
<img src="manual/IterativeSinCluster/img/IterativeSinCluster.png" alt="Image of IterativeSinCluster graphical user interface."/>
</figure>

IterativeSinCluster はノート 1 つあたりで 512 のサイン波を計算する加算合成シンセサイザです。このページで配布しているバイナリを利用するには AVX2 をサポートしている CPU が必要です。

- [IterativeSinCluster のマニュアル (日本語)](manual/IterativeSinCluster/IterativeSinCluster_ja.html)

IterativeSinCluster is an additive synthesizer. This synth computes 512 sine waves for each note to make tone cluster. Requires CPU that support AVX2 instructions.

- [IterativeSinCluster Manual (English)](manual/IterativeSinCluster/IterativeSinCluster_en.html)

### TrapezoidSynth
<figure>
<img src="manual/TrapezoidSynth/img/TrapezoidSynth.png" alt="Image of TrapezoidSynth graphical user interface."/>
</figure>

TrapezoidSynth は 4 つの PTR ランプ関数を継ぎ接ぎした台形オシレータを使ったモノフォニックシンセサイザです。継ぎ接ぎしたのが仇をなしてピッチが高くなるとノイズが乗る欠点があったので8倍にオーバーサンプリングしました。結果としてやたら重たくなっています。

- [TrapezoidSynth のマニュアル (日本語)](manual/TrapezoidSynth/TrapezoidSynth_ja.html)

TrapezoidSynth is a monophonic synthesizer equipped with trapezoid oscillator which is a piecewise function of 4 PTR ramp function. For being piecewise, it has a drawback that increase noise when playing higher tone. Therefore 8 times oversampled and hogging up more CPU.

- [TrapezoidSynth Manual (English)](manual/TrapezoidSynth/TrapezoidSynth_en.html)

### FDNCymbal
<figure>
<img src="manual/FDNCymbal/img/FDNCymbal.png" alt="Image of FDNCymbal graphical user interface."/>
</figure>

FDNCymbal は WaveCymbal に続いてシンバルのような音を作ろうとしたプラグインです。今回は FDN (Feedback Delay Network) と Schroeder allpass を使っています。名前とは裏腹に、金属的な質感はほとんど Schroeder allpass によって加えられています。シンバルの揺れをシミュレートするためにトレモロもついています。

- [FDNCymbal のマニュアル (日本語)](manual/FDNCymbal/FDNCymbal_ja.html)

FDNCymbal is another attempt to make cymbal sound. This time FDN (Feedback Delay Network) and Schroeder allpass are used. Most of metallic tone comes from Schroeder allpass rather than FDN. Tremolo is added to simulate wobbling of cymbal.

- [FDNCymbal Manual (English)](manual/FDNCymbal/FDNCymbal_en.html)

### WaveCymbal
<figure>
<img src="manual/WaveCymbal/img/WaveCymbal.png" alt="Image of WaveCymbal graphical user interface."/>
</figure>

WaveCymbal は banded wave-guide という物理モデリングの手法でシンバルの音を作ろうとしたプラグインです。シンバルというよりも、薄い金属板をアスファルトの上で引きずったときのような音が出ます。シンセサイザ、エフェクトのどちらとしても使えます。

- [WaveCymbal のマニュアル (日本語)](manual/WaveCymbal/WaveCymbal_ja.html)

WaveCymbal is an attempt to make cymbal sound with banded wave-guide which is a method for physical modeling. It sounds more like dragging thin metal plate on asphalt rather than cymbal. WaveCymbal can be used as both synthesizer/FX.

- [WaveCymbal Manual (English)](manual/WaveCymbal/WaveCymbal_en.html)

### SyncSawSynth
<figure>
<img src="manual/SyncSawSynth/img/SyncSawSynth.png" alt="Image of SyncSawSynth graphical user interface."/>
</figure>

SyncSawSynthは10次までのPTR鋸歯波オシレータが使える32ボイスのポリフォニックシンセサイザです。主にハードシンクと周波数変調で電池が切れかけのおもちゃのような音を作る用途に向いています。もちろん普通の音も出ます。

- [SyncSawSynth のマニュアル (日本語)](manual/SyncSawSynth/SyncSawSynth_ja.html)

SyncSawSynth is a 32 voice polyphonic synthesizer using up to 10th order PTR sawtooth oscillator. Just a basic synthesizer but very easy to make a noise similar to low battery sound of some toys.

- [SyncSawSynth Manual (English)](manual/SyncSawSynth/SyncSawSynth_en.html)

### SevenDelay
<figure>
<img src="manual/SevenDelay/img/SevenDelay.png" alt="Image of SevenDelay graphical user interface."/>
</figure>

SevenDelayはステレオディレイです。分数ディレイに7次のラグランジュ補間を使って7倍のオーバーサンプリングをしています。オートメーションなどでディレイ時間を積極的に動かして音を作る用途に向いています。

- [SevenDelay のマニュアル (日本語)](manual/SevenDelay/SevenDelay_ja.html)

SevenDelay is a stereo delay using 7th order lagurange interpolated fractional delay. Also 7 times oversampled. Suitable for making sound with actively changing delay time by hand or DAW automation.

- [SevenDelay Manual (English)](manual/SevenDelay/SevenDelay_en.html)

## Web シンセサイザ | Web Synthesizers
以下のリンク先ではブラウザ上で動作するサンプルに特化したシンセサイザが使えます。 ClangCymbal 、 FDN64Reverb 、 L4Reverb などの重たいプラグインの移植版も使えます。

- [UhhyouWebSynthesizers](https://ryukau.github.io/UhhyouWebSynthesizers/)
- [ソースコード](https://github.com/ryukau/UhhyouWebSynthesizers)

Following link is a list of sample generators that run on web browser. Ported version of heavy plugins like ClangCymbal, FDN64Reverb, and L4Reverb are available.

- [UhhyouWebSynthesizers](https://ryukau.github.io/UhhyouWebSynthesizers/)
- [Source Code](https://github.com/ryukau/UhhyouWebSynthesizers)

## 開発ノート
VST3 の開発中に分かりにくかったことをまとめました。あまり整理されていません。何かあれば issue を作ってもらえれば対応します。 DAW ごとの問題やワークアラウンドについては追加情報を歓迎します。

- [VST3 の開発](dev_note/vst3_dev.html)

こちらはアルゴリズムなどについてまとめたノートです。もともとは波のシミュレーションについて調べていました。

- [波ノート](https://ryukau.github.io/filter_notes/index.html)

These links are notes I took while development. Written in Japanese.

## ブログ | Blog
主にリリースのアナウンスを行うブログです。リンク先のページ下部から Atom/RSS フィードの登録ができます。

- [Uhhyou (ブログ)](https://ryukau.blogspot.com/)

This blog is mostly used for release announcement. Atom/RSS feed is available on the bottom of following link.

- [Uhhyou (blog)](https://ryukau.blogspot.com/)

## VST について
<a name="vst_logo"></a>
VST is a trademark of Steinberg Media Technologies GmbH, registered in Europe and other countries.
